# Gimp.Image.prototype.set_color_profile_from_file

    function set_color_profile_from_file(file: Gio.File): Boolean {
        // Gjs wrapper for gimp_image_set_color_profile_from_file()
    }

Sets the image's color profile from an ICC file

This procedure sets the image's color profile from a file containing an ICC profile, or unsets it if NULL is passed as 'file'. This procedure does no color conversion. However, it will change the pixel format of all layers to contain the babl space matching the profile. You must call this procedure before adding layers to the image.

Since 2.10

file

  The file containing the new color profile.

Returns

  TRUE on success.